import { OnImageUploadFn, RichTextEditorFeatures } from '../../molecules/RichTextEditor/RichTextEditor.types';
export interface FeaturesProps {
    features?: RichTextEditorFeatures[];
    extendFeatures?: RichTextEditorFeatures[];
    removeFeatures?: RichTextEditorFeatures[];
    onImageUpload?: OnImageUploadFn;
}
declare function getFeatures({ features, extendFeatures, removeFeatures, onImageUpload, }: FeaturesProps): RichTextEditorFeatures[];
declare function extractImageUrls(value: string | undefined): string[];
declare function imageToB64(file: File): Promise<string>;
declare function cleanRichTextValue(value: string): string;
export declare const richtext: {
    getFeatures: typeof getFeatures;
    extractImageUrls: typeof extractImageUrls;
    imageToB64: typeof imageToB64;
    cleanRichTextValue: typeof cleanRichTextValue;
    IMG_WITH_SRC_AND_ALT: RegExp;
    IMG_WITH_ALT: RegExp;
};
export {};
